pylint #82417 Install fails with SyntaxError: unknown encoding: IBO-8859-1 [validation pending]

byte-compiling build/bdist.linux-x86_64/egg/pylint/test/input/func_unknown_encoding.py to func_unknown_encoding.pyc
Traceback (most recent call last):
File "/hostname/sig/local/lib/python3.2/tokenize.py", line 304, in find_cookie
codec = lookup(encoding)
LookupError: unknown encoding: IBO-8859-1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "setup.py", line 187, in <module>
install()
File "setup.py", line 183, in install
**kwargs
File "/hostname/sig/local/lib/python3.2/distutils/core.py", line 148, in setup
dist.run_commands()
File "/hostname/sig/local/lib/python3.2/distutils/dist.py", line 917, in run_commands
self.run_command(cmd)
File "/hostname/sig/local/lib/python3.2/distutils/dist.py", line 936, in run_command
cmd_obj.run()
File "/home/joiner/.local/lib/python3.2/site-packages/distribute-0.6.24-py3.2.egg/setuptools/command/install.py", line 73, in run
self.do_egg_install()
File "/home/joiner/.local/lib/python3.2/site-packages/distribute-0.6.24-py3.2.egg/setuptools/command/install.py", line 93, in do_egg_install
self.run_command('bdist_egg')
File "/hostname/sig/local/lib/python3.2/distutils/cmd.py", line 313, in run_command
self.distribution.run_command(command)
File "/hostname/sig/local/lib/python3.2/distutils/dist.py", line 936, in run_command
cmd_obj.run()
File "/home/joiner/.local/lib/python3.2/site-packages/distribute-0.6.24-py3.2.egg/setuptools/command/bdist_egg.py", line 179, in run
cmd = self.call_command('install_lib', warn_dir=0)
File "/home/joiner/.local/lib/python3.2/site-packages/distribute-0.6.24-py3.2.egg/setuptools/command/bdist_egg.py", line 166, in call_command
self.run_command(cmdname)
File "/hostname/sig/local/lib/python3.2/distutils/cmd.py", line 313, in run_command
self.distribution.run_command(command)
File "/hostname/sig/local/lib/python3.2/distutils/dist.py", line 936, in run_command
cmd_obj.run()
File "setup.py", line 129, in run
install_lib.install_lib.run(self)
File "/home/joiner/.local/lib/python3.2/site-packages/distribute-0.6.24-py3.2.egg/setuptools/command/install_lib.py", line 24, in run
self.byte_compile(outfiles)
File "/hostname/sig/local/lib/python3.2/distutils/command/install_lib.py", line 133, in byte_compile
dry_run=self.dry_run)
File "/hostname/sig/local/lib/python3.2/distutils/util.py", line 547, in byte_compile
compile(file, cfile, dfile)
File "/hostname/sig/local/lib/python3.2/py_compile.py", line 111, in compile
with tokenize.open(file) as f:
File "/hostname/sig/local/lib/python3.2/tokenize.py", line 344, in open
encoding, lines = detect_encoding(buffer.readline)
File "/hostname/sig/local/lib/python3.2/tokenize.py", line 324, in detect_encoding
encoding = find_cookie(first)
File "/hostname/sig/local/lib/python3.2/tokenize.py", line 307, in find_cookie
raise SyntaxError("unknown encoding: " + encoding)
SyntaxError: unknown encoding: IBO-8859-1

priorityimportant
typebug
appeared in<not specified>
done in0.26.0
load0.000
load left0.000
closed by#819:55150181702e